<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/transparent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/transparent">

        <ImageView
            android:id="@+id/img_cancel"
            android:layout_width="@dimen/custom_layout_margin_50"
            android:layout_height="@dimen/custom_layout_margin_50"
            android:layout_marginLeft="@dimen/margin_30dp"
            android:src="@android:drawable/ic_menu_close_clear_cancel" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/custom_margin"
                android:text="Filters"
                android:textSize="@dimen/txt_18sp" />

            <TextView
                android:id="@+id/tv_clear_filter"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:padding="@dimen/custom_margin"
                android:layout_marginLeft="@dimen/custom_margin"
                android:textSize="@dimen/text_size_normal"
                android:text="Reset All Filters"
                android:textColor="@color/red" />

        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:background="@color/grey_dark_background" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">
                <androidx.cardview.widget.CardView
                    android:id="@+id/card_signature"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_bottom_5dp"
                    android:layout_marginTop="@dimen/margin_bottom_5dp"
                    android:layout_marginBottom="@dimen/margin_bottom_5dp"
                    app:cardBackgroundColor="@color/grey_dark_background"
                    app:cardCornerRadius="8dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/text_margin_10dp"
                        android:layout_marginTop="2dp"
                        android:layout_marginRight="@dimen/text_margin_10dp"
                        android:layout_marginBottom="2dp">

                        <TextView
                            android:id="@+id/tv_signature"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/signature"
                            android:textColor="@color/white"
                            android:padding="@dimen/custom_margin"
                            android:textSize="@dimen/text_size_16sp" />


                    </RelativeLayout>

                </androidx.cardview.widget.CardView>
                <ImageView
                    android:id="@+id/img_filter_signature"
                    android:layout_width="15dp"
                    android:layout_height="15dp"
                    android:layout_alignRight="@+id/card_signature"
                    android:background="@mipmap/filter_filled"
                    android:elevation="10dp"
                    android:layout_centerInParent="true"
                    android:visibility="gone"/>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">
                <androidx.cardview.widget.CardView
                    android:id="@+id/card_brand"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_bottom_5dp"
                    android:layout_marginTop="@dimen/margin_bottom_5dp"
                    android:layout_marginRight="@dimen/margin_bottom_5dp"
                    android:layout_marginBottom="@dimen/margin_bottom_5dp"
                    app:cardBackgroundColor="@color/grey_dark_background"
                    app:cardCornerRadius="8dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/text_margin_10dp"
                        android:layout_marginTop="2dp"
                        android:layout_marginRight="@dimen/text_margin_10dp"
                        android:layout_marginBottom="2dp">

                        <TextView
                            android:id="@+id/tv_brand"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/brand"
                            android:textColor="@color/white"
                            android:padding="@dimen/custom_margin"
                            android:textSize="@dimen/text_size_16sp" />

                    </RelativeLayout>

                </androidx.cardview.widget.CardView>
                <ImageView
                    android:id="@+id/img_filter_brand"
                    android:layout_width="15dp"
                    android:layout_height="15dp"
                    android:layout_alignRight="@+id/card_brand"
                    android:background="@mipmap/filter_filled"
                    android:elevation="10dp"
                    android:layout_centerInParent="true"
                    android:visibility="gone"/>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">
                <androidx.cardview.widget.CardView
                    android:id="@+id/card_sub_brand"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_bottom_5dp"
                    android:layout_marginTop="@dimen/margin_bottom_5dp"
                    android:layout_marginRight="@dimen/margin_bottom_5dp"
                    android:layout_marginBottom="@dimen/margin_bottom_5dp"
                    app:cardBackgroundColor="@color/grey_dark_background"
                    app:cardCornerRadius="8dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/text_margin_10dp"
                        android:layout_marginTop="2dp"
                        android:layout_marginRight="@dimen/text_margin_10dp"
                        android:layout_marginBottom="2dp">

                        <TextView
                            android:id="@+id/tv_sub_brand"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/sub_brand"
                            android:textColor="@color/white"
                            android:padding="@dimen/custom_margin"
                            android:textSize="@dimen/text_size_16sp" />

                    </RelativeLayout>

                </androidx.cardview.widget.CardView>
                <ImageView
                    android:id="@+id/img_filter_sub_brand"
                    android:layout_width="15dp"
                    android:layout_height="15dp"
                    android:layout_alignRight="@+id/card_sub_brand"
                    android:background="@mipmap/filter_filled"
                    android:elevation="10dp"
                    android:layout_centerInParent="true"
                    android:visibility="gone"/>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">
                <androidx.cardview.widget.CardView
                    android:id="@+id/card_reference"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_bottom_5dp"
                    android:layout_marginTop="@dimen/margin_bottom_5dp"
                    android:layout_marginRight="@dimen/margin_bottom_5dp"
                    android:layout_marginBottom="@dimen/margin_bottom_5dp"
                    app:cardBackgroundColor="@color/grey_dark_background"
                    app:cardCornerRadius="8dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/text_margin_10dp"
                        android:layout_marginTop="2dp"
                        android:layout_marginRight="@dimen/text_margin_10dp"
                        android:layout_marginBottom="2dp">

                        <TextView
                            android:id="@+id/tv_reference"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/franchise"
                            android:textColor="@color/white"
                            android:padding="@dimen/custom_margin"
                            android:textSize="@dimen/text_size_16sp" />

                    </RelativeLayout>

                </androidx.cardview.widget.CardView>
                <ImageView
                    android:id="@+id/img_filter_reference"
                    android:layout_width="15dp"
                    android:layout_height="15dp"
                    android:layout_alignRight="@+id/card_reference"
                    android:background="@mipmap/filter_filled"
                    android:elevation="10dp"
                    android:layout_centerInParent="true"
                    android:visibility="gone"/>
            </RelativeLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:background="@color/grey_dark_background" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rec_brand"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

    </LinearLayout>

    <!-- <TextView
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
         android:text="Sub Brand Id"
         android:padding="5dp"
         android:layout_marginLeft="@dimen/text_margin_10dp"
         android:textSize="@dimen/text_size_16sp"
         />

     <android.support.v7.widget.RecyclerView
         android:id="@+id/rec_sub_brand_id"
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
         />

     <TextView
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
         android:text="Franchise"
         android:padding="5dp"
         android:layout_marginLeft="@dimen/text_margin_10dp"
         android:textSize="@dimen/text_size_16sp"
         />

     <android.support.v7.widget.RecyclerView
         android:id="@+id/rec_reference"
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
         />-->
</LinearLayout>